classification
Title: float.as_integer_ratio method is not documented
Type: Stage:
Components: Documentation Versions: Python 3.0, Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: rhettinger Nosy List: akuchling, georg.brandl, mark.dickinson, rhettinger, segfaulthunter
Priority: normal Keywords: patch

Created on 2008-07-05 10:41 by mark.dickinson, last changed 2008-10-08 16:45 by georg.brandl. This issue is now closed.

Files
File name Uploaded Description Edit
issue3288.patch segfaulthunter, 2008-07-16 22:24 Probably a solution for this issue.
float-docstring.txt akuchling, 2008-09-13 00:16 Docstring patches to float
stdtypes.txt akuchling, 2008-09-13 00:28 as_integer_ratio patch
tutorial_hex.patch mark.dickinson, 2008-09-15 09:08 Mention float.as_integer_ratio and float.hex in tutorial.
Messages (9)
msg69277 - (view) Author: Mark Dickinson (mark.dickinson) * (Python committer) Date: 2008-07-05 10:41
The float.as_integer_ratio method needs to be documented somewhere other 
than whatsnew/2.6.rst.
msg69849 - (view) Author: Florian Mayer (segfaulthunter) Date: 2008-07-16 22:24
I tried to include the method in the Python 3.0 Tutorial but also to
mention problems with floating point arithmetic that express in
returning different numbers than what one entered.
msg73155 - (view) Author: A.M. Kuchling (akuchling) * (Python committer) Date: 2008-09-13 00:16
While writing docs for as_integer_ratio(), I noticed a few typos in the
docstrings of the new float methods.  Patch attached.
msg73157 - (view) Author: A.M. Kuchling (akuchling) * (Python committer) Date: 2008-09-13 00:28
The attached patch documents the as_integer_ratio method; I'll commit it 
once Barry allows commits.
msg73161 - (view) Author: A.M. Kuchling (akuchling) * (Python committer) Date: 2008-09-13 02:12
Patch committed in rev. 66435.

Do we want to mention it in the tutorial?  If not,
this issue could now be closed.
msg73251 - (view) Author: Mark Dickinson (mark.dickinson) * (Python committer) Date: 2008-09-15 09:08
> Do we want to mention it in the tutorial?  If not,
> this issue could now be closed.

I think it might be worth mentioning both this and float.hex in the 
tutorial---it would fit well into the floating-point issues section.

Here's a patch.
msg74347 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2008-10-05 16:47
Committed for Py3.0 in r66807 .
msg74353 - (view) Author: A.M. Kuchling (akuchling) * (Python committer) Date: 2008-10-05 20:42
Should I backport the tutorial patch to the 2.6 tutorial?
msg74533 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-10-08 16:45
Would be nice, yes.
History
Date User Action Args
2008-10-08 16:45:21georg.brandlsetmessages: + msg74533
2008-10-05 20:42:23akuchlingsetmessages: + msg74353
2008-10-05 16:47:00rhettingersetstatus: open -> closed
resolution: fixed
messages: + msg74347
2008-09-15 09:08:39mark.dickinsonsetfiles: + tutorial_hex.patch
messages: + msg73251
2008-09-13 02:12:31akuchlingsetmessages: + msg73161
2008-09-13 00:28:15akuchlingsetfiles: + stdtypes.txt
messages: + msg73157
2008-09-13 00:16:33akuchlingsetfiles: + float-docstring.txt
nosy: + akuchling
messages: + msg73155
2008-07-16 22:24:36segfaulthuntersetfiles: + issue3288.patch
nosy: + segfaulthunter
messages: + msg69849
keywords: + patch
2008-07-11 18:23:55rhettingersetassignee: georg.brandl -> rhettinger
nosy: + rhettinger
2008-07-05 10:41:17mark.dickinsoncreate